import React from 'react'

import { UseFormReturn } from 'react-hook-form'
import { isValidFnr } from 'utils'

interface FnrProps extends Partial<Pick<UseFormReturn, 'register'>> {
  name: string
  errors?: any
}

function Fnr(props: FnrProps) {
  const { register, name, errors } = props
  if (register === undefined) {
    return <></>
  }

  return (
    <>
      <input
        type="text"
        placeholder={name}
        // eslint-disable-next-line react/jsx-props-no-spreading
        {...register(name, {
          required: 'Fnr is required',
          validate: isValidFnr,
        })}
        id="fnr"
      />
      {errors.fnr && errors.fnr.message}
      {errors.fnr && errors.fnr.type === 'validate' && 'Invalid fnr'}
    </>
  )
}

Fnr.defaultProps = {
  errors: {},
}

export default Fnr
