# Generated by Django 3.2.7 on 2021-10-08 09:49

from django.db import migrations, models


def move_email_and_mobile_fields(apps, schema_editor):
    # we simply move the value, not the date, as we're not in production yet
    Person = apps.get_model("greg", "Person")
    Identity = apps.get_model("greg", "Identity")
    for person in Person.objects.all():
        field_map = (
            ("email", "private_email"),
            ("mobile_phone", "private_mobile"),
        )
        for field, identity_type in field_map:
            value = getattr(person, field, None)
            if value:
                Identity.objects.create(
                    person=person,
                    type=identity_type,
                    source="greg",
                    value=value,
                )


class Migration(migrations.Migration):

    dependencies = [
        ("greg", "0008_add_invitations"),
    ]

    operations = [
        migrations.AlterField(
            model_name="identity",
            name="type",
            field=models.CharField(
                choices=[
                    ("feide_id", "Feide Id"),
                    ("passport_number", "Passport Number"),
                    ("norwegian_national_id_number", "Norwegian National Id Number"),
                    ("private_email", "Private Email"),
                    ("private_mobile", "Private Mobile Number"),
                    ("other", "Other"),
                ],
                max_length=64,
            ),
        ),
        migrations.RunPython(move_email_and_mobile_fields),
        migrations.RemoveField(
            model_name="person",
            name="email",
        ),
        migrations.RemoveField(
            model_name="person",
            name="email_verified_date",
        ),
        migrations.RemoveField(
            model_name="person",
            name="mobile_phone",
        ),
        migrations.RemoveField(
            model_name="person",
            name="mobile_phone_verified_date",
        ),
    ]
