import pytest

from greg.models import Notification


@pytest.mark.django_db
def test_delete_signal_person(person):
    """Check that a Notification is created when a Person object is deleted."""
    assert Notification.objects.count() == 1
    person.delete()
    assert Notification.objects.count() == 2


@pytest.mark.django_db
def test_delete_signal_ou(unit_foo):
    """Check that a Notification is not created when an OrganizationalUnit is deleted."""
    assert Notification.objects.count() == 0
    unit_foo.delete()
    assert Notification.objects.count() == 0
